/*
  */


#include <kmsgbox.h>
#include <qfontmet.h>

#include "AboutDlg.h"
#include "mAboutDlg.cpp"
#include "version.h"
#include "hello.h"

AboutDlg::AboutDlg(QWidget* parent, const char* name)
  : QWidget(parent, name)
{

  // This is the lovely text with the rainbow...
  QFont font = QFont("times",32,QFont::Bold);
  QFontMetrics fm(font);
  QString txt = "KDE Network utilities";
  hello = new Hello(txt, this);
  hello->setFont(font);
  hello->resize(fm.width(txt), hello->height());
  connect(hello, SIGNAL(clicked()), SLOT(slotAboutAbout()));

  // Now, the texts
  txt = "Version ";
  txt += KNU_VERSION;
  lbl1 = new QLabel(txt, this);
  lbl1->adjustSize();
  lbl2 = new QLabel("by Bertrand Leconte", this);
  lbl2->adjustSize();
  lbl3 = new QLabel("<B.Leconte@mail.dotcom.fr>", this);
  lbl3->adjustSize();

}


AboutDlg::~AboutDlg()
{
}

void 
AboutDlg::slotAboutAbout()
{
  QString str;

  str =  "This widget is stollen from\n";
  str += "the Qt 1.2 example \"hello.cpp\"\n\n";
  str += "http://www.troll.no";
  KMsgBox::message(this, "Warning", str, 0, "Ok");
}

void 
AboutDlg::resizeEvent(QResizeEvent *)
{
  int w, h;

  w = width();
  h = height();
  hello->move((w-hello->width())/2, h/2-hello->height());
  
  lbl1->move((w-lbl1->width())/2, 5*h/8-lbl1->height()/2);
  lbl2->move((w-lbl2->width())/2, 6*h/8-lbl2->height()/2);
  lbl3->move((w-lbl3->width())/2, 7*h/8-lbl3->height()/2);
  
  /*
  int ry;
  aboutLbl1->move((width()-aboutLbl1->width())/2, 10);
  aboutKnuVersion->move((width()-aboutKnuVersion->width())/2, 30);
  aboutLbl3->move((width()-aboutLbl3->width())/2, 60);
  aboutLbl4->move((width()-aboutLbl4->width())/2, 80);

  aboutRule->setGeometry( 10, 110, width()-20, 4);
  ry = aboutRule->y();
  aboutHelpBtn->move((width()-aboutHelpBtn->width())/2, 
		     (height()-ry)/2+ry-(aboutHelpBtn->height())/2);
		     //		     +aboutRule->height()/2);
  //		     (height()-ry)/2+ry);
  */
}
