/* -*- C++ -*-
 * HostDlg - dialog for the host program
 *
 * This is a part of KDE network utilities
 *
 * Bertrand Leconte <B.Leconte@mail.dotcom.fr>
 *
 * This program is free software (GPL). See the file COPYING for details.
 */

#ifndef __HostDlg_h__
#define __HostDlg_h__

#include <qchkbox.h>
#include <qcombo.h>
#include "CommandDlg.h"

class HostDlg: public CommandDlg
{
  Q_OBJECT;

public:
  HostDlg(QWidget* parent = NULL, const char* name = NULL);
  virtual ~HostDlg();
  

protected:
  void         buildCommandLine(QString args);

  // additional widgets
  QLabel      *hostLbl1;
  QComboBox   *hostCb1;
  QFrame      *hostF1;
  QLabel      *hostLbl2;
  QComboBox   *hostCb2;
  QFrame      *frame1;

  // layout
  QBoxLayout  *layout3;       

};
#endif // __HostDlg_h__

