/* -*- C++ -*-
 * TracerouteDlg - dialog for the traceroute program
 *
 * This is a part of KDE network utilities
 *
 * Bertrand Leconte <B.Leconte@mail.dotcom.fr>
 *
 * This program is free software (GPL). See the file COPYING for details.
 */

#ifndef __TracerouteDlg_h__
#define __TracerouteDlg_h__

#include <qchkbox.h>
#include <qlayout.h>

#include "CommandDlg.h"

class TracerouteDlg: public CommandDlg
{
  Q_OBJECT;

public:
  TracerouteDlg(QWidget* parent = NULL, const char* name = NULL);
  virtual ~TracerouteDlg();
  

protected:
  void         buildCommandLine(QString);

  // widgets
  QCheckBox   *tracerouteCb1;
  QLineEdit   *tracerouteLe2;
  QLabel      *tracerouteLbl2;
  QFrame      *frame1;

  // layout
  QBoxLayout  *layout3;

};
#endif // __TracerouteDlg_h__
